<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>
    <parent>
        <groupId>com.sdtool</groupId>
        <artifactId>dySdDesigner</artifactId>
        <version>1.0</version>
    </parent>

    <artifactId>sdWebOne</artifactId>

    <properties>
        <maven.compiler.source>17</maven.compiler.source>
        <maven.compiler.target>17</maven.compiler.target>
        <project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
    </properties>

    <dependencies>
        <dependency>
            <groupId>com.sdtool</groupId>
            <artifactId>sdWebCore</artifactId>
            <version>1.0</version>
        </dependency>

        <dependency>
            <groupId>com.sdtool</groupId>
            <artifactId>sdBusiness</artifactId>
            <version>1.0</version>
        </dependency>
    </dependencies>

    <build>
        <plugins>
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-jar-plugin</artifactId>
                <version>2.6</version>
                <configuration>
                    <classesDirectory>target/classes</classesDirectory>
                    <archive>
                        <manifest>
                            <mainClass>com.sdtool.webone.Bootstrap</mainClass>
                            <addClasspath>true</addClasspath>
                            <classpathPrefix>lib/</classpathPrefix>
                        </manifest>
                    </archive>
                </configuration>
            </plugin>

            <!--            <plugin>-->
            <!--                &lt;!&ndash; https://gitee.com/roseboy/classfinal &ndash;&gt;-->
            <!--                <groupId>net.roseboy</groupId>-->
            <!--                <artifactId>classfinal-maven-plugin</artifactId>-->
            <!--                <version>1.2.1</version>-->
            <!--                <configuration>-->
            <!--                    <password>000000</password>&lt;!&ndash;加密打包之后pom.xml会被删除，不用担心在jar包里找到此密码&ndash;&gt;-->
            <!--                    &lt;!&ndash;                    <packages>com.yourpackage,com.yourpackage2</packages>&ndash;&gt;-->
            <!--                    &lt;!&ndash;                    <cfgfiles>application.yml</cfgfiles>&ndash;&gt;-->
            <!--                    &lt;!&ndash;                    <excludes>org.spring</excludes>&ndash;&gt;-->
            <!--                    <libjars>aeCommon-0.0.1.jar,aeBusiness-0.0.1.jar,aeWebCore-0.0.1.jar</libjars>-->
            <!--                    <classpath>/lib</classpath>-->
            <!--                </configuration>-->
            <!--                <executions>-->
            <!--                    <execution>-->
            <!--                        <phase>package</phase>-->
            <!--                        <goals>-->
            <!--                            <goal>classFinal</goal>-->
            <!--                        </goals>-->
            <!--                    </execution>-->
            <!--                </executions>-->
            <!--            </plugin>-->
        </plugins>
    </build>

</project>